#ifndef _TIMESPEC_H
#define _TIMESPEC_H 1

struct timespec;

// Compute b-a.
timespec clock_diff(const timespec &a, const timespec &b);

// Compute a+b.
timespec clock_add(const timespec &a, const timespec &b);

#endif  // !defined(_TIMESPEC_H)
